#
# Conditional build:
%bcond_without	tests		# build without tests

%define		orgname		extra-cmake-modules
%define		kdeframever	5.71
Summary:	Extra Cmake Modules for KF5
Summary(pl.UTF-8):	Dodatkowe moduły Cmake'a dla KF5
Name:		kf5-%{orgname}
Version:	5.71.0
Release:	1
License:	BSD
Group:		Development/Building
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{orgname}-%{version}.tar.xz
# Source0-md5:	39590c81474016b01ce1bc29fb808c3e
Patch0:		%{orgname}-tests.patch
URL:		http://www.kde.org/
BuildRequires:	cmake >= 3.5
BuildRequires:	qt5-assistant >= 5.9.0
BuildRequires:	qt5-linguist
BuildRequires:	rpmbuild(macros) >= 1.698
BuildRequires:	sed >= 4.0
BuildRequires:	sphinx-pdg >= 1.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with tests}
BuildRequires:	Qt5Core-devel >= 5.9.0
BuildRequires:	Qt5Gui-devel >= 5.9.0
BuildRequires:	Qt5Network-devel >= 5.9.0
BuildRequires:	Qt5Qml-devel >= 5.9.0
BuildRequires:	Qt5Quick-devel >= 5.9.0
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	qt5-build >= 5.9.0
%endif
Obsoletes:	kf5-extra-cmake-modules-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Extra CMake Modules package, or ECM, adds to the modules provided
by CMake, including both ones used by find_package() to find common
software and ones that can be used directly in CMakeLists.txt files to
perform common tasks.

In addition, it provides common build settings used in software
produced by the KDE community.

While the driving force of this module is to reduce duplication in
CMake scripts across KDE software, it is intended to be useful for any
software that uses the CMake build system.

%description -l pl.UTF-8
Pakiet Extra CMake Modules (ECM) dostarcza dodatkowe moduły do tych
dostarczanych przez CMake'a, zawierające te używane przez
find_package() do szukania popularnego oprogramowania, a także takie,
których można używać bezpośrednio w CMakeLists.txt do wykonywania
wspólnych zadań.

Ponadto pakiet dostarcza wspólne ustawienia budowana używane w
oprogramowaniu tworzonym przez społeczność KDE.

O ile główną motywacją tego modułu jest zmniejszenie duplikacji w
skryptach CMake'a w oprogramowaniu KDE, ma także być przydatny dla
dowolnych programów wykorzystujących system budowania CMake.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

# causes make install failure after running tests
%{__sed} -i -e '/ECMToolchainAndroidTest/d' tests/CMakeLists.txt

%build
install -d build
cd build
%cmake .. \
	%{!?with_tests:-DBUILD_TESTING=OFF}

%{__make}

%if %{with tests}
# GenerateSipBindings wants clang and has libclang checks incompatible with libclang >= 4
# ECMPoQmToolsTest fails to build it's own moc file
ctest -E '(GenerateSipBindings|ECMPoQmToolsTest)'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build -j1 install \
        DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_docdir}/ECM ECM-doc
install -d $RPM_BUILD_ROOT%{_datadir}/qlogging-categories5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING-CMAKE-SCRIPTS README.rst ECM-doc/*
%{_datadir}/ECM
%{_datadir}/qlogging-categories5
%{_mandir}/man7/ecm*.7*
%changelog
* Sun Jul 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-extra-cmake-modules.git;a=log;h=master

* Sat Jul 04 2020 Jakub Bogusz <qboosh@pld-linux.org> cc4fc26
- updated to 5.71.0

* Thu Feb 13 2020 Łukasz Maśko <lmasko@pld-linux.org> 5ef6273
- Up to 5.67.0.

* Sun Dec 29 2019 Łukasz Maśko <lmasko@pld-linux.org> cf491df
- Up to 5.65.

* Mon Nov 25 2019 Łukasz Maśko <lmasko@pld-linux.org> ed2c6fa
- Added a missing (?) /usr/share/qlogging-categories5 directory.

* Sat Oct 12 2019 Jan Rękorajski <baggins@pld-linux.org> 9a54f06
- disabled broken test

* Sat Oct 12 2019 Jan Rękorajski <baggins@pld-linux.org> 50b62e6
- up to 5.62.0

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 3c01b03
- updated to 5.59.0

* Fri Apr 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 43053bb
- obsolete old -doc subpackage

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 9076cd7
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2f178ef
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7af66f3
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 56925a8
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cbe58c
- up to 5.43.0

* Sun Dec 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 53d00b1
- pl
- added tests patch, fix tests bcond

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> ceaecf8
- updated to 5.39.0

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8de117e
- up to 5.38.0

* Sun Jul 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 73489ac
- BR: qt5-assistant
- tests disabled (I don't know how to fix build)

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 96d4951
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 820096a
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> cd1ad24
- updated to 5.19.0

